* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;

  background-color: #121213;

  display: flex;

  justify-content: center;

  align-items: center;

  height: 100vh;
}

.container {
  flex-basis: 400px;

  max-height: 540px;

  margin: 20px auto;

  padding: 20px;

  border-radius: 10px;

  background-color: #fff;

  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h1 {
  text-align: center;

  margin-bottom: 20px;

  color: #333;
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;

  margin-bottom: 5px;

  font-weight: bold;
}

input[type="text"],
input[type="number"] {
  width: 100%;

  padding: 10px;

  font-size: 16px;

  border-radius: 5px;

  border: 1px solid #ccc;
}

button {
  background-color: #121213;

  border: none;

  border-radius: 5px;

  color: #fff;

  cursor: pointer;

  font-size: 1rem;

  padding: 12px;

  transition: background-color 0.3s ease;

  width: 100%;
}

button:hover {
  background-color: #121213;
}

.shopping-list-wrapper {
  margin-top: 32px;
}

h2 {
  font-size: 1.2rem;

  font-weight: normal;

  margin-bottom: 10px;
}

ul {
  list-style-type: none;

  max-height: 200px;

  overflow-y: auto;
}

li {
  display: flex;

  height: 40px;

  justify-content: space-between;

  background-color: #ede7d9;

  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);

  color: #121213;

  border-radius: 5px;

  margin-bottom: 10px;

  padding: 10px;
}
